/* jshint undef: true */
/* global plugin, require, com, Packages, java, org, module */

var facade = require("facade");
var PluginProxy = Packages.cattura.agents.configuration.model.proxies.PluginProxy;
var LOGGER = plugin.info().logger;

function createAttachmentForIncident (incident)
{
    var pluginProxy = facade.retrieveProxy(PluginProxy.NAME);
    var logDownloaderPluginInfo = pluginProxy.getPluginInfo("log-downloader-plugin").orElse(null);
    if (!logDownloaderPluginInfo)
    {
        LOGGER.warning("Was unable to generate info dump for incident because log downloader plugin is unavailable.");
        return null;
    }

    var service = logDownloaderPluginInfo.getServicesByName("createLogArchiveForIncident").get(0);
    return service['invoke(java.util.Map)']({
        incident: incident
    });
}

module.exports = createAttachmentForIncident;
